﻿namespace InternshipSystem.Core
{
    public class BranchOffice
    {
        public BranchOffice()
        {
        }
        private BranchOffice(BranchAddress address)
        {
            Address = address;
        }

        public long Id { get; set; }

        public BranchAddress Address { get; set; }

        public static BranchOffice CreateBranch(string country, string city, string postalCode, string street, string building)
        {
            var address = new BranchAddress
            {
                Building = building,
                 City = city,
                 Country = country,
                 Street = street,
                 PostalCode = postalCode
            };
            
            return new BranchOffice(address);
        }
    }
}