﻿using System;
using InternshipSystem.Core.Entity.Internship;

namespace InternshipSystem.Core
{
    public class InternshipRegistration
    {
        public long Id { get; set; }
        public Company Company { get; set; }
        public BranchOffice BranchAddress { get; set; }
        public DateTime Start { get; set; }
        public DateTime End { get; set; }
        public InternshipType Type { get; set; }
        public DocumentState State { get; set; }
        
        public static InternshipRegistration Create()
        {
            return new InternshipRegistration();
        }

        public void Update(DateTime start, DateTime end, InternshipType internshipType)
        {
            Start = start;
            End = end;
            Type = internshipType;
        }
        
        public void UpdateCompany(Company newCompany)
        {
            Company = newCompany;
        }

        public void UpdateBranch(BranchOffice branch)
        {
            BranchAddress = branch;
        }
    }
}